users
Create User
POST
/
v1
/
organizations
/
{organization_id}
/
users
Create User
curl --request POST \
--url https://api.aixy-gateway.com/v1/organizations/{organization_id}/users \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "[email protected]",
"name": "<string>"
}
'import requests
url = "https://api.aixy-gateway.com/v1/organizations/{organization_id}/users"
payload = {
"email": "[email protected]",
"name": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({email: '[email protected]', name: '<string>'})
};
fetch('https://api.aixy-gateway.com/v1/organizations/{organization_id}/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"organization_id": "<string>",
"email": "<string>",
"name": "<string>",
"role": "<string>",
"suspended_at": "<string>",
"project_ids": [
"<string>"
],
"created_at": "<string>",
"updated_at": "<string>",
"object": "organization.user"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}Authorizations
Instance management token configured by a self-hosted operator.
Path Parameters
Body
application/json
Response
Successful Response
⌘I
Create User
curl --request POST \
--url https://api.aixy-gateway.com/v1/organizations/{organization_id}/users \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "[email protected]",
"name": "<string>"
}
'import requests
url = "https://api.aixy-gateway.com/v1/organizations/{organization_id}/users"
payload = {
"email": "[email protected]",
"name": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({email: '[email protected]', name: '<string>'})
};
fetch('https://api.aixy-gateway.com/v1/organizations/{organization_id}/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"organization_id": "<string>",
"email": "<string>",
"name": "<string>",
"role": "<string>",
"suspended_at": "<string>",
"project_ids": [
"<string>"
],
"created_at": "<string>",
"updated_at": "<string>",
"object": "organization.user"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}